# Change Log

All notable changes to the "Cryptand.run - Secure Code Sharing" extension will be documented in this file.

Check [Keep a Changelog](http://keepachangelog.com/) for recommendations on how to structure this file.

## [1.0.0] - 2025-06-04

### Added
- Initial release of Cryptand.run VSCode Extension
- Secure code sharing with end-to-end encryption
- Share selected text or entire files
- Environment variable sharing with special formatting
- Automatic language detection for syntax highlighting
- Configurable TTL (time-to-live) and maximum reads
- Context menu integration for easy access
- Support for various file types (.env, .txt, .md, etc.)
- API key configuration through VSCode settings
- Custom API endpoint configuration

### Features
- **Share Selection**: Share highlighted code snippets securely
- **Share Current File**: Share entire file contents with encryption
- **Share as Environment Variables**: Special formatting for .env files
- **Settings Management**: Configure API keys, TTL, and other preferences
- **Language Detection**: Automatic syntax highlighting based on file type
- **Security**: End-to-end encryption for all shared content
- **Flexible Configuration**: Customizable expiration and read limits

### Security
- All shared content is encrypted end-to-end
- Configurable expiration times
- Read count limits for additional security
- Secure API communication with cryptand.run service