# Private Distribution Guide - Cryptand VSCode Extension

## VSIX Distribution (Einfachste Methode)

### Für Sie (Extension Creator):
1. ✅ VSIX-Datei ist bereits erstellt: `cryptand-run-1.0.0.vsix`
2. Senden Sie diese Datei an Ihre Freunde/Kollegen

### Für Ihre Freunde (Installation):

#### Methode 1: VS Code UI (Am einfachsten)
1. VS Code öffnen
2. `Ctrl+Shift+P` drücken
3. "Extensions: Install from VSIX..." eingeben und auswählen
4. Die erhaltene `cryptand-run-1.0.0.vsix` Datei auswählen
5. VS Code neu laden (falls erforderlich)

#### Methode 2: Kommandozeile
```bash
code --install-extension pfad/zur/cryptand-run-1.0.0.vsix
```

#### Methode 3: Drag & Drop
- VSIX-Datei einfach in das Extensions-Panel ziehen

## Alternative: GitHub Releases

### Setup für GitHub Releases:
1. Gehen Sie zu Ihrem Repository: https://github.com/Iwasanity-dev/cryptand-vscode-extension
2. Klicken Sie auf "Releases" → "Create a new release"
3. Tag: `v1.0.0`
4. Release title: `Cryptand VSCode Extension v1.0.0`
5. Laden Sie `cryptand-run-1.0.0.vsix` als Asset hoch
6. Veröffentlichen

### Installation von GitHub Release:
```bash
# Download der VSIX von GitHub
curl -L -o cryptand-run-1.0.0.vsix https://github.com/Iwasanity-dev/cryptand-vscode-extension/releases/download/v1.0.0/cryptand-run-1.0.0.vsix

# Installation
code --install-extension cryptand-run-1.0.0.vsix
```

## Updates verteilen:

### Für neue Versionen:
1. Version in `package.json` erhöhen (z.B. 1.0.1)
2. `CHANGELOG.md` aktualisieren
3. Extension neu kompilieren: `npm run compile`
4. Neues VSIX erstellen: `vsce package`
5. Neue VSIX an Freunde senden oder auf GitHub hochladen

### Automatische Updates:
- ❌ Keine automatischen Updates (nur bei Marketplace)
- ✅ Benutzer müssen neue VSIX manuell installieren

## Vorteile der VSIX-Distribution:

✅ **Einfach**: Eine Datei senden, fertig
✅ **Privat**: Nicht öffentlich sichtbar
✅ **Kontrolle**: Sie entscheiden, wer Zugang hat
✅ **Sofort verfügbar**: Keine Marketplace-Genehmigung nötig
✅ **Funktioniert überall**: Windows, Mac, Linux

## Nachteile:

❌ Keine automatischen Updates
❌ Keine Marketplace-Sichtbarkeit
❌ Manuelle Installation erforderlich
❌ Keine Bewertungen/Statistiken

## Installation testen:

Sie können die Extension auch selbst testen:
1. Aktuelle Extension deinstallieren (falls installiert)
2. VSIX über "Install from VSIX..." installieren
3. Testen ob alles funktioniert

---

**Fazit**: VSIX-Distribution ist perfekt für private Extensions oder Beta-Tests mit Freunden!
