# Cryptand VSCode Extension - Publishing Guide

## Vorbereitung abgeschlossen ✅

Ihre Extension ist jetzt bereit für die Veröffentlichung im VS Code Marketplace!

### Was bereits erledigt wurde:

1. ✅ **package.json** wurde korrekt konfiguriert
2. ✅ **CHANGELOG.md** wurde erstellt
3. ✅ Extension wurde kompiliert (`npm run compile`)
4. ✅ VSIX-Paket wurde erstellt (`cryptand-run-1.0.0.vsix`)
5. ✅ Alle Dateien sind korrekt eingeschlossen

### Nächste Schritte für die Veröffentlichung:

#### 1. Visual Studio Marketplace Account einrichten

1. Gehen Sie zu: https://marketplace.visualstudio.com/manage
2. Melden Sie sich mit Ihrem Microsoft/Azure DevOps Account an
3. Erstellen Sie einen Publisher (falls noch nicht vorhanden)
4. Notieren Sie sich Ihren Publisher-Namen

#### 2. Personal Access Token (PAT) erstellen

1. Gehen Sie zu: https://dev.azure.com/
2. Klicken Sie auf "User settings" → "Personal access tokens"
3. Erstellen Sie ein neues Token mit:
   - **Name**: VSCode Extension Publishing
   - **Organization**: All accessible organizations
   - **Expiration**: Custom (empfohlen: 1 Jahr)
   - **Scopes**: Marketplace → Manage

#### 3. Extension veröffentlichen

```powershell
# Mit Personal Access Token anmelden
vsce login <ihr-publisher-name>

# Extension veröffentlichen
vsce publish

# Oder falls Sie das VSIX-Paket manuell hochladen möchten:
# Gehen Sie zu https://marketplace.visualstudio.com/manage
# und laden Sie das cryptand-run-1.0.0.vsix hoch
```

#### 4. Alternative: Manueller Upload

Falls Sie Probleme mit der Kommandozeile haben:

1. Gehen Sie zu: https://marketplace.visualstudio.com/manage
2. Klicken Sie auf "New extension" → "Visual Studio Code"
3. Laden Sie die Datei `cryptand-run-1.0.0.vsix` hoch
4. Füllen Sie die erforderlichen Felder aus

### Wichtige Hinweise:

- **Publisher Name**: Stellen Sie sicher, dass der Publisher in der package.json ("cryptand") mit Ihrem Marketplace-Publisher übereinstimmt
- **Icon**: Das Icon (images/icon.png) ist bereits eingeschlossen
- **README**: Enthält alle wichtigen Informationen für Benutzer
- **Version**: Beginnt mit 1.0.0 (erste stabile Version)

### Nach der Veröffentlichung:

1. Die Extension ist normalerweise binnen 5-10 Minuten verfügbar
2. Benutzer können sie mit `ext install cryptand.cryptand-run` installieren
3. Sie erhalten eine Bestätigungs-E-Mail

### Datei-Übersicht:

- 📦 `cryptand-run-1.0.0.vsix` - Bereit zum Upload
- 📄 `package.json` - Korrekt konfiguriert
- 📄 `README.md` - Benutzer-Dokumentation
- 📄 `CHANGELOG.md` - Versionshistorie
- 🖼️ `images/icon.png` - Extension Icon
- 📁 `out/` - Kompilierte TypeScript-Dateien

### Support & Updates:

Für zukünftige Updates:
1. Version in package.json erhöhen
2. CHANGELOG.md aktualisieren
3. `npm run compile` ausführen
4. `vsce package` ausführen
5. `vsce publish` oder manuell hochladen

---

**Status**: ✅ Bereit für Veröffentlichung
**Erstellt**: 4. Juni 2025
