@echo off
echo ================================
echo Cryptand Extension - Build Script
echo ================================

echo.
echo [1/4] Compiling TypeScript...
call npm run compile
if %errorlevel% neq 0 (
    echo ERROR: Compilation failed!
    pause
    exit /b 1
)

echo.
echo [2/4] Reading current version...
for /f "tokens=2 delims=:" %%a in ('findstr /c:"\"version\"" package.json') do (
    set version=%%a
    set version=!version: =!
    set version=!version:"=!
    set version=!version:,=!
)

echo Current version: %version%

echo.
echo [3/4] Creating VSIX package...
call vsce package
if %errorlevel% neq 0 (
    echo ERROR: VSIX creation failed!
    pause
    exit /b 1
)

echo.
echo [4/4] Package created successfully!
echo File: cryptand-run-%version%.vsix
echo.

echo ================================
echo Ready for distribution!
echo ================================
echo.
echo To install manually:
echo 1. Send cryptand-run-%version%.vsix to your friends
echo 2. In VS Code: Ctrl+Shift+P ^> "Extensions: Install from VSIX..."
echo 3. Select the VSIX file
echo.

pause
